@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.container {
    display: flex;
    height: 75vh;
    margin-top: 15px;

    & .filters {
        height: 100%;
        padding: 30px 2.3%;
        background: $background;
        border: 1px solid $lightBlueColor;
        box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);
        border-radius: 20px;

        & h4 {
            color: $blackColor;
            @include font($fontGotham, 24px, 28.8px); 
        }

        & .buttonSvg {
            width: 35px;
            height: 35px;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid $greyColor;
            border-radius: 7px;
            cursor: pointer;

            &:hover {
                transition: all 0.3s;
                border: 1px solid $primaryColor;
                & svg path {
                    fill: $primaryColor;
                }
            }

            &.activeButton {
              transition: all 0.3s;
              border: 1px solid $primaryColor;
              & svg path {
                  fill: $primaryColor;
              }
            }

            &:first-child {
                margin-right: 5px;
            }

            & svg {
                margin-right: 0 !important;
            }
        }

        & .members {
            margin-top: 35px;
            margin-left: 20px;
            width: 200px;
            color: $greyColor;

            & .name {
                @include font($fontGothamLight, 16px, 19.2px); 
                margin-left: 10px;
                margin-bottom: 15px;
            }
        }

        & .animatedView {
          animation-duration: 0.4s;
          animation-name: rollout;
        }

        & .selectButton {
          margin-bottom: 50px;
        }
    }

    & .graphs {
      width: 60%;
      margin: 0 15px;
      display: grid;
      justify-content: center;
      gap: 15px;
      grid-template-columns: repeat(auto-fill, minmax(180px, 30%));
      grid-template-rows: repeat(auto-fill, minmax(180px, 25%));

      & .graphic {
        display: flex;
        justify-content: center;
        align-items: center;
        background: $lightBlueSecColor;
        border: 1px solid $lightBlueColor;
        border-radius: 20px;
        padding: 5%;
        text-align: center;

        & .text {
            @include font($fontGotham, 14px, 16.8px);
            color: $greyText;
        }

        & .graphText {
            @include font($fontGotham, 24px, 28.8px);
            color: $greyText;
        }
      }
    }

    .dropdown {
      width: 185px;
      border: 1px solid #B3C1E3;
      background-color: #fff;
      cursor: pointer;
      margin-right: 5%;
      padding: 8px 10px 0;
      height: 39px;
      border-radius: 5px;
      font-size: 14px;
      color: $greyText;

      & .customToggle {
        display: flex;
        justify-content: space-between;
        align-items: center;

        & .flipDown {
            transform: rotate(-90deg);
        }
      }
  }

    & .peopleList {
      padding: 25px 25px 0 25px;
      background: $background;
      border: 1px solid $lightBlueColor;
      box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);
      border-radius: 20px;

      & h4 {
        @include font($fontGotham, 16px, 19.2px); 
        color: $blackColor;
        margin-bottom: 0;
      }

      & .partnersWrapper {
        max-height: 80%;
        margin-top: 15px;
        margin-right: -20px;
        padding-top: 15px;
        border-top: 1px solid $lightBlueColor;
        overflow-y: scroll;

        & .shiftWrapper {
          display: flex;
          align-items: center;
          justify-content: space-between;
          margin-right: 5px;
          background: $lightBlueSecColor;
          border: 1px solid $lightBlueColor;
          border-radius: 0px 10px 10px 0px;

          &:not(:last-child) {
            margin-bottom: 10px;
          }

          & .shiftName {
            flex: 1;
            margin-left: 5px;
            margin-right: 5px;
            @include font($fontGotham, 14px, 16.8px); 
            color: $greyText;
          }

          & .partnerData {
            flex: 3;
            display: flex;
            align-items: center;
            margin-left: 5px;

            & .shiftPopoverAvatar {
              width: 36px;
              height: 36px;
            }

            & .personName {
              @include font($fontGotham, 14px, 16.8px); 
              color: $greyText;
            }
            & .personTime {
              @include font($fontGothamLight, 12px, 14.4px); 
              color: $greyColor;
            }
          }

          & .personName {
            flex-basis: 0;
            flex-grow: 1;
          }
        }
      }   

      & .colorLine {
        width: 3px;
        height: 41px;
        margin: 4px;
      }

      & .date {
        margin-right: 10px;
        @include font($fontGotham, 14px, 16.8px); 
        color: $blackColor;
      }

      & .day {
        @include font($fontGothamLight, 10px, 12px); 
        color: $greyText;
      }

      & .shifts {
        max-height: 55%;
        margin-right: -20px;
        overflow-y: scroll;
      }

      & .shiftContainer {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 25px;
        background: $lightBlueSecColor;
        border: 1px solid $lightBlueColor;
        border-radius: 0px 10px 10px 0px;

        & .shiftName {
          color: $greyText;
          @include font($fontGotham, 14px, 16.8px);
        }

        & .start {
          position: relative;
          &::before {
            display: block;
            content: "";
            position: absolute;
            left: -15px;
            width: 1px;
            height: 33px;
            background-color: $greyColor;
          }
        }

        & .finish {
          position: relative;
          &::after {
            display: block;
            content: "";
            position: absolute;
            right: 5px;
            top: 0;
            width: 1px;
            height: 33px;
            background-color: $greyColor;
          }
        }

        & .title {
          color: $greyColor;
          @include font($fontGothamLight, 10px, 12px); 
        }

        & .value {
          margin-top: 4px;
          color: $greyText;
          @include font($fontGotham, 12px, 14.4px);
        }
      }
    }


    & .partnerHeader {
      padding-bottom: 25px;
      margin-bottom: 15px;
      border-bottom: 1px solid $lightBlueColor;
    }

    & .userAvatar {
      min-width: 100px;
      max-width: 100px;
      height: 100px;
    }

    & .personName {
      @include font($fontGotham, 24px, 28.8px); 
      color: $blackColor;
      width: 180px;
    }

    & .personLevel {
      @include font($fontGotham, 18px, 21.6px); 
      color: $greyText;
    }
}

.inputWrapper {
  display: flex;
  align-items: center;
  justify-content: space-around;

  & svg {
    margin-right: 10px;
  }
}

.searchInput {
  height: 50px !important;

  &.widthSmall {
    width: 140px;
  }

  & .input {
    padding: 15px 0 10px !important;
  }
}

.leftColumn {
  margin-left: 25px;

  & .graphicBig {
    width: 100%;
    height: 0;
    position: relative;
    padding-bottom: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: $lightBlueSecColor;
    border: 1px solid $lightBlueColor;
    border-radius: 20px;
    margin-bottom: 25px;

    & div:first-child {
      position: absolute !important;
      top: 50%;
      transform: translateY(-50%);
    }
  
    & .text {
      @include font($fontGotham, 14px, 16.8px);
      color: $greyText;
    }
  
    & .graphText {
      @include font($fontGotham, 24px, 28.8px);
      color: $greyText;
    }
  }

  & .activeGraphInfo {
    padding: 30px 25px;
    background: $background;
    border: 1px solid $lightBlueColor;
    box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);
    border-radius: 20px;

    & .title {
      padding-bottom: 25px;
      border-bottom: 1px solid $lightBlueColor;
      color: $blackColor;
      @include font($fontGotham, 24px, 23px);
    }

    & .dateTitle {
      color: $blackColor;
      @include font($fontGotham, 16px, 16.6px);
    }

    & .titleReq {
      margin: 25px 0 20px;
      color: $blackColor;
      @include font($fontGotham, 20px, 20px);
    }

    & .inputHeading {
      margin-bottom: 15px;
      color: $greyText;
      @include font($fontGotham, 16px, 15.3px);
    }

    & .cancelButton {
      margin-right: 10px;
    }
  }
}

.rightColumn {
  width: 100%;
  padding: 30px 35px;
  margin-left: 25px;
  background: $background;
  border: 1px solid $lightBlueColor;
  box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);
  border-radius: 20px;

  & .shiftContainer {
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 17px 35px 15px 35px;
    margin-bottom: 15px;
    border: 1px solid $greyColor;
    border-left: 3px solid $greyColor;
    border-radius: 0px 10px 10px 0px;
    cursor: pointer;

    &:hover {
      opacity: 0.7;
      transition: all 0.3s;
    }

    & .title {
      margin-bottom: 5px;
      color: $greyText;
      @include font($fontGothamLight, 14px, 16.8px); 
    }

    & .dateValue {
      color: $greyText;
      @include font($fontGotham, 20px, 24px); 
    }

    & .timeValue {
      color: $blackColor;
      @include font($fontGotham, 18px, 21.6px); 
    }

    & .start {
      position: relative;

      &::before {
        position: absolute;
        margin-right: 20px;
        margin-left: 10px;
        left: -50%;
        top: -5%;
        display: block;
        content: "";
        width: 1px;
        height: 120%;
        background-color: $lightBlueColor;
      }
    }

    & .end {
      position: relative;

      &::before {
        position: absolute;
        margin-left: 20px;
        margin-right: 10px;
        right: -50%;
        top: -5%;
        display: block;
        content: "";
        width: 1px;
        height: 120%;
        background-color: $lightBlueColor;
      }
    }
  }
}

.statisticsModal {
  padding: 50px 50px 35px 50px;

  & .day {
    color: $greyText;
    @include font($fontGothamLight, 14px, 16.8px);
  }

  & .date {
    margin-top: 5px;
    color: $blackColor;
    @include font($fontGotham, 24px, 28.8px);
  }

  & .modalHeader {
    padding-bottom: 25px;
    border-bottom: 1px solid $lightBlueColor;
  }

  & .shiftWrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-right: 5px;
    background: $lightBlueSecColor;
    border: 1px solid $lightBlueColor;
    border-radius: 0px 10px 10px 0px;

    &:not(:last-child) {
      margin-bottom: 10px;
    }

    & .shiftName {
      flex: 2;
      margin-left: 5px;
      margin-right: 5px;
      @include font($fontGotham, 20px, 24px); 
      color: $greyText;
    }

    & .partnerData {
      flex: 3;
      display: flex;
      align-items: center;
      margin-left: 5px;

      & .shiftPopoverAvatar {
        width: 50px;
        height: 50px;
        margin-right: 10px;
      }

      & .personName {
        @include font($fontGotham, 18px, 21.6px); 
        color: $greyText;
      }

      & .personTime {
        margin-top: 5px;
        @include font($fontGothamLight, 14px, 16.8px); 
        color: $greyColor;
      }
    }

    & .personName {
      flex-basis: 0;
      flex-grow: 1;
    }

    & .colorLine {
      width: 4px;
      height: 70px;
      margin: 4px;
      margin-right: 25px;
    }
  }

  & .cancelButton {
    margin-top: 60%;
    text-align: center;
  }
}

@keyframes rollout {
  0% {
    transform: translateX(-35px);
  }
  100% {
    transform: translateX(0);
  }
}

@media screen and (max-width: 1745px) {
  .container {
    & .rightColumn {
      & .start::before {
        display: none;
      }
      & .end::before {
        display: none;
      }
    }
  }
}

@media screen and (max-width: 1280px) {
  .container {
    & .graphs {
      order: 1;
      overflow-y: scroll;
    }

    & .filters {
      margin-right: 20px;
    }

    & .peopleList {
      & .personName {
        white-space: normal;
      }

      & .shifts {
        max-height: 48%;
      }
    }
  }
}